# Standards: 0.11
---

# 12.9 Ensure no ungrouped files or directories exist

- name: 12.9 - Audit if any ungrouped files or directories exist
  shell: df --local -P | awk {'if (NR!=1) print $6'} | xargs -I '{}' find '{}' -xdev -nogroup
  register: audit_12_9
  tags:
    - level-1
    - section-12
    - "12.9"
    - scored

- name: 12.9 - Ensure no ungrouped files or directories exist
  fail:
    msg: "{{ audit_12_9.stdout_lines }}"
  when:
    - audit_12_9.stdout_lines is defined and audit_12_9.stdout_lines|length > 0
    - fail_on_manual_remediation_actions
  tags:
    - level-1
    - section-12
    - "12.9"
    - scored

- name: 12.9 - Ensure no ungrouped files or directories exist
  debug:
    msg: "*** ACTION REQUIRED *** {{ audit_12_9.stdout }}"
  when:
    - audit_12_9.stdout_lines is defined and audit_12_9.stdout_lines|length > 0
    - not fail_on_manual_remediation_actions
  tags:
    - level-1
    - section-12
    - "12.9"
    - scored